Skip to content

Create a new sandbox for the currently authenticated Vault. Providing a name which already exists will refresh the existing sandbox Vault.

POST/api/{version}/objects/sandbox
NameDescription
Acceptapplication/json (default) or application/xml
Content-Typeapplication/x-www-form-urlencoded
NameDescription
typeThe type of sandbox, such as config. At this time, this is the only sandbox type available.
domainThe domain to use for the new sandbox. Must be a valid domain. Must be lower-case, and must include the domain extension. For example, veepharma.com.
nameThe name of the sandbox Vault, which appears on the My Vaults page. Providing a new name creates a new sandbox, whereas providing an existing name refreshes the existing sandbox. Note that you can only refresh sandboxes once every 24 hours.
add_requesterOptional: This boolean field adds the currently authenticated user as a Vault Owner in the new sandbox. If set to false, the Domain Admin users in the sandbox domain will become Vault Owners in the sandbox Vault. If omitted, defaults to true.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "type=config" \ -d "domain=veepharm.com" \ -d "name=Sandbox" \ https://myvault.veevavault.com/api/v18.2/objects/sandbox
{ "responseStatus": "SUCCESS", "job_id": 70701, "url": "/api/v18.2/services/jobs/70701" }

On SUCCESS, the response includes the following information: